public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-irc/weechat/
Date: Sun,  7 Jan 2018 12:13:43 +0000 (UTC)	[thread overview]
Message-ID: <1515326996.fcbbc6c644bc2103a486195a62fcad917d8f386a.ulm@gentoo> (raw)

commit:     fcbbc6c644bc2103a486195a62fcad917d8f386a
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  7 12:09:27 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Jan  7 12:09:56 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcbbc6c6

net-irc/weechat: Test LINGUAS rather than linguas_* USE flags.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-irc/weechat/weechat-1.9.1.ebuild | 8 ++++----
 net-irc/weechat/weechat-2.0.1.ebuild | 8 ++++----
 net-irc/weechat/weechat-2.0.ebuild   | 8 ++++----
 net-irc/weechat/weechat-9999.ebuild  | 8 ++++----
 4 files changed, 16 insertions(+), 16 deletions(-)

diff --git a/net-irc/weechat/weechat-1.9.1.ebuild b/net-irc/weechat/weechat-1.9.1.ebuild
index e28f1929648..39521532b3f 100644
--- a/net-irc/weechat/weechat-1.9.1.ebuild
+++ b/net-irc/weechat/weechat-1.9.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,7 +25,7 @@ PLUGINS="+alias +buflist +charset +exec +fifo +logger +relay +scripts +spell +tr
 # dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
 SCRIPT_LANGS="guile lua +perl +python ruby tcl"
 LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+IUSE="doc nls +ssl test ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 RDEPEND="
@@ -76,7 +76,7 @@ src_prepare() {
 	# install only required translations
 	local i
 	for i in ${LANGS} ; do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e "/${i}.po/d" \
 				po/CMakeLists.txt || die
@@ -86,7 +86,7 @@ src_prepare() {
 	# install only required documentation ; en always
 	for i in $(grep add_subdirectory doc/CMakeLists.txt \
 			| sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e '/add_subdirectory('${i}')/d' \
 				doc/CMakeLists.txt || die

diff --git a/net-irc/weechat/weechat-2.0.1.ebuild b/net-irc/weechat/weechat-2.0.1.ebuild
index 59575ed9f9d..dd1313a0c73 100644
--- a/net-irc/weechat/weechat-2.0.1.ebuild
+++ b/net-irc/weechat/weechat-2.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,7 +25,7 @@ PLUGINS="+alias +buflist +charset +exec +fset +fifo +logger +relay +scripts +spe
 # dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
 SCRIPT_LANGS="guile lua +perl php +python ruby tcl"
 LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+IUSE="doc nls +ssl test ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 RDEPEND="
@@ -77,7 +77,7 @@ src_prepare() {
 	# install only required translations
 	local i
 	for i in ${LANGS} ; do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e "/${i}.po/d" \
 				po/CMakeLists.txt || die
@@ -87,7 +87,7 @@ src_prepare() {
 	# install only required documentation ; en always
 	for i in $(grep add_subdirectory doc/CMakeLists.txt \
 			| sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e '/add_subdirectory('${i}')/d' \
 				doc/CMakeLists.txt || die

diff --git a/net-irc/weechat/weechat-2.0.ebuild b/net-irc/weechat/weechat-2.0.ebuild
index 59575ed9f9d..dd1313a0c73 100644
--- a/net-irc/weechat/weechat-2.0.ebuild
+++ b/net-irc/weechat/weechat-2.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,7 +25,7 @@ PLUGINS="+alias +buflist +charset +exec +fset +fifo +logger +relay +scripts +spe
 # dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
 SCRIPT_LANGS="guile lua +perl php +python ruby tcl"
 LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+IUSE="doc nls +ssl test ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 RDEPEND="
@@ -77,7 +77,7 @@ src_prepare() {
 	# install only required translations
 	local i
 	for i in ${LANGS} ; do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e "/${i}.po/d" \
 				po/CMakeLists.txt || die
@@ -87,7 +87,7 @@ src_prepare() {
 	# install only required documentation ; en always
 	for i in $(grep add_subdirectory doc/CMakeLists.txt \
 			| sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e '/add_subdirectory('${i}')/d' \
 				doc/CMakeLists.txt || die

diff --git a/net-irc/weechat/weechat-9999.ebuild b/net-irc/weechat/weechat-9999.ebuild
index 59575ed9f9d..dd1313a0c73 100644
--- a/net-irc/weechat/weechat-9999.ebuild
+++ b/net-irc/weechat/weechat-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,7 +25,7 @@ PLUGINS="+alias +buflist +charset +exec +fset +fifo +logger +relay +scripts +spe
 # dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
 SCRIPT_LANGS="guile lua +perl php +python ruby tcl"
 LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
+IUSE="doc nls +ssl test ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 RDEPEND="
@@ -77,7 +77,7 @@ src_prepare() {
 	# install only required translations
 	local i
 	for i in ${LANGS} ; do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e "/${i}.po/d" \
 				po/CMakeLists.txt || die
@@ -87,7 +87,7 @@ src_prepare() {
 	# install only required documentation ; en always
 	for i in $(grep add_subdirectory doc/CMakeLists.txt \
 			| sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
-		if ! use linguas_${i} ; then
+		if ! has ${i} ${LINGUAS-${i}} ; then
 			sed -i \
 				-e '/add_subdirectory('${i}')/d' \
 				doc/CMakeLists.txt || die


             reply	other threads:[~2018-01-07 12:13 UTC|newest]

Thread overview: 214+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-01-07 12:13 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 19:58 [gentoo-commits] repo/gentoo:master commit in: net-irc/weechat/ Arthur Zamarin
2024-09-18 13:12 Arsen Arsenović
2024-09-09 20:44 Arthur Zamarin
2024-09-09  0:17 Eli Schwartz
2024-09-09  0:17 Eli Schwartz
2024-09-08 21:42 Sam James
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-09-01  6:41 Eli Schwartz
2024-07-14  7:17 Joonas Niilola
2024-07-08  0:48 Sam James
2024-07-07 19:46 Jakov Smolić
2024-07-07  4:46 Eli Schwartz
2024-07-07  4:46 Eli Schwartz
2024-06-26  9:27 Florian Schmaus
2024-06-13  7:47 Florian Schmaus
2024-06-08  7:46 Florian Schmaus
2024-06-07  7:36 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-06-06  6:56 Florian Schmaus
2024-05-05 11:49 Sam James
2024-04-13  6:26 Arthur Zamarin
2024-03-26  6:06 Joonas Niilola
2024-03-25 18:50 Sam James
2024-02-09 14:10 Joonas Niilola
2024-02-09 14:10 Joonas Niilola
2024-02-06  5:03 Ionen Wolkens
2024-01-22  7:58 Joonas Niilola
2024-01-22  5:02 Sam James
2024-01-21  4:21 Sam James
2024-01-21  4:21 Sam James
2023-12-13  8:06 Florian Schmaus
2023-12-13  8:06 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-31  8:41 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-18 12:53 Florian Schmaus
2023-10-01 18:19 Arthur Zamarin
2023-09-27 10:30 Joonas Niilola
2023-09-27  8:33 Sam James
2023-09-27  8:04 Florian Schmaus
2023-09-27  8:04 Florian Schmaus
2023-09-27  8:04 Florian Schmaus
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-08-25 17:19 Arthur Zamarin
2023-07-27 19:27 Florian Schmaus
2023-07-27 19:27 Florian Schmaus
2023-06-26 14:27 David Seifert
2023-05-06  9:50 Arthur Zamarin
2023-03-28 17:46 Georgy Yakovlev
2023-03-28 17:46 Georgy Yakovlev
2023-03-27  6:33 Sam James
2023-03-08 16:25 Matthew Smith
2023-03-08 15:29 Matthew Smith
2023-02-01 15:55 Arthur Zamarin
2023-01-20 17:00 Sam James
2023-01-19 22:29 Georgy Yakovlev
2023-01-19 22:29 Georgy Yakovlev
2022-11-11 12:02 Georgy Yakovlev
2022-11-11 11:42 Georgy Yakovlev
2022-10-31 11:48 Agostino Sarubbo
2022-10-30  9:10 Sam James
2022-10-30  7:57 Agostino Sarubbo
2022-09-16  8:05 Georgy Yakovlev
2022-09-16  8:05 Georgy Yakovlev
2022-09-16  8:05 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-29 22:32 Georgy Yakovlev
2022-07-28 14:09 Sam James
2022-07-25  7:11 Agostino Sarubbo
2022-07-25  7:10 Agostino Sarubbo
2022-07-24  2:06 Georgy Yakovlev
2022-07-24  2:06 Georgy Yakovlev
2022-07-24  2:06 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-04-08  0:42 Georgy Yakovlev
2022-03-27  2:33 Sam James
2022-03-21  9:12 Jakov Smolić
2022-03-19  6:53 Arthur Zamarin
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2022-03-16 17:07 Sam James
2021-12-23 23:19 Georgy Yakovlev
2021-12-23 23:19 Georgy Yakovlev
2021-11-08  2:51 Yixun Lan
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-12 16:28 Georgy Yakovlev
2021-10-09 19:18 Sam James
2021-09-02 17:49 Georgy Yakovlev
2021-06-15 18:53 Georgy Yakovlev
2021-04-22 16:23 Georgy Yakovlev
2021-04-22 16:21 Georgy Yakovlev
2021-04-22 12:23 Sam James
2021-04-22 12:08 Sam James
2021-04-20 18:06 Georgy Yakovlev
2021-04-20 18:06 Georgy Yakovlev
2021-03-09 21:20 Georgy Yakovlev
2021-03-09 21:20 Georgy Yakovlev
2021-02-03  1:19 Georgy Yakovlev
2021-01-23  4:20 Sam James
2021-01-23  4:09 Sam James
2020-11-12 11:33 Georgy Yakovlev
2020-11-12 11:33 Georgy Yakovlev
2020-11-11 20:20 Georgy Yakovlev
2020-11-11 20:20 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-11-11 20:16 Georgy Yakovlev
2020-09-19 23:03 Georgy Yakovlev
2020-09-18  7:29 Agostino Sarubbo
2020-09-06  7:16 Georgy Yakovlev
2020-09-06  7:16 Georgy Yakovlev
2020-09-05 16:17 Thomas Deutschmann
2020-09-05  7:49 Georgy Yakovlev
2020-08-14 23:22 Andreas Sturmlechner
2020-07-21  0:15 Georgy Yakovlev
2020-07-21  0:15 Georgy Yakovlev
2020-07-02  5:06 Georgy Yakovlev
2020-07-02  4:59 Georgy Yakovlev
2020-07-02  4:59 Georgy Yakovlev
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:50 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-07  2:20 Georgy Yakovlev
2020-04-03  6:43 Georgy Yakovlev
2020-02-24 14:19 Agostino Sarubbo
2020-02-24  7:41 Agostino Sarubbo
2020-02-21  7:28 Georgy Yakovlev
2020-02-21  7:17 Georgy Yakovlev
2020-02-13 10:18 Georgy Yakovlev
2020-02-13 10:18 Georgy Yakovlev
2020-02-10 12:12 Michał Górny
2019-12-22 21:55 Georgy Yakovlev
2019-12-22 21:55 Georgy Yakovlev
2019-12-13 23:31 Georgy Yakovlev
2019-12-13 23:31 Georgy Yakovlev
2019-12-09 20:22 Georgy Yakovlev
2019-12-09 20:22 Georgy Yakovlev
2019-12-07  0:58 Georgy Yakovlev
2019-12-07  0:58 Georgy Yakovlev
2019-11-19 15:40 Agostino Sarubbo
2019-11-18 12:03 Agostino Sarubbo
2019-11-17 22:32 Tim Harder
2019-09-09 18:48 Georgy Yakovlev
2019-09-09 18:48 Georgy Yakovlev
2019-08-06  9:42 Agostino Sarubbo
2019-08-06  9:39 Agostino Sarubbo
2019-06-07 22:16 Georgy Yakovlev
2019-06-07  4:12 Georgy Yakovlev
2019-06-07  4:12 Georgy Yakovlev
2019-06-07  4:05 Georgy Yakovlev
2019-06-07  4:05 Georgy Yakovlev
2019-02-17 21:05 Georgy Yakovlev
2019-02-17 21:05 Georgy Yakovlev
2018-12-13  6:48 Tim Harder
2018-12-13  3:46 Georgy Yakovlev
2018-12-13  3:46 Georgy Yakovlev
2018-12-01  2:02 Georgy Yakovlev
2018-12-01  2:02 Georgy Yakovlev
2018-10-21 21:12 Georgy Yakovlev
2018-10-21 21:12 Georgy Yakovlev
2018-10-10  5:40 Georgy Yakovlev
2018-09-11  1:30 Georgy Yakovlev
2018-09-11  1:30 Georgy Yakovlev
2018-08-26 17:28 Michał Górny
2018-08-25  5:03 Georgy Yakovlev
2018-08-25  5:03 Georgy Yakovlev
2018-03-19  0:01 Tim Harder
2018-03-19  0:01 Tim Harder
2017-12-21  4:05 Tim Harder
2017-12-03 21:15 Tim Harder
2017-10-03 10:48 Fabian Groffen
2017-10-03  9:41 Fabian Groffen
2017-10-03  9:41 Fabian Groffen
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-29 23:01 Tim Harder
2017-09-11  5:16 Tim Harder
2017-08-31 11:36 Tim Harder
2017-07-10  7:53 Tim Harder
2017-06-22 12:10 Tomas Chvatal
2017-05-26 22:54 David Seifert
2017-05-13 22:28 Tim Harder
2017-04-24 18:42 Tim Harder
2017-04-23 21:01 David Seifert
2017-03-17 21:54 Andreas Hüttel
2017-01-24 19:41 Tim Harder
2017-01-20 22:39 Tim Harder
2016-10-03 18:08 Tim Harder
2016-08-25  5:11 Tim Harder
2016-08-08 19:26 Tim Harder
2016-08-08 19:26 Tim Harder
2016-08-08 19:26 Tim Harder
2016-06-06 13:33 Agostino Sarubbo
2016-05-02 21:30 Tim Harder
2016-03-31  4:13 Tim Harder
2016-01-14 22:11 Tim Harder
2015-08-25  3:03 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1515326996.fcbbc6c644bc2103a486195a62fcad917d8f386a.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox